;InnoSetupVersion=4.1.3

[Setup]
AppName=freeCommander
AppVerName=freeCommander 2004.03
AppId=freeCommander
AppPublisher=Marek Jasinski
AppPublisherURL=http://www.freeCommander.com
AppSupportURL=http://www.freeCommander.com
AppUpdatesURL=http://www.freeCommander.com
DefaultDirName={pf}\freeCommander
DefaultGroupName=freeCommander
UninstallDisplayIcon={app}\freeCommander.exe
OutputBaseFilename=fC200403_Setup
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
; Source: "{app}\backup\,1"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,2"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,3"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,4"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,5"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,6"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,7"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,8"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,9"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,10"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,11"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
; Source: "{app}\backup\,12"; DestDir: "{app}\backup"; Flags: skipifsourcedoesntexist 
Source: "{app}\freeCommander.exe"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion promptifolder 
Source: "{app}\freeCommander.ini"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\UnRar.dll"; DestDir: "{app}"; Flags: comparetimestamp ignoreversion promptifolder 
Source: "{app}\UnzDll.dll"; DestDir: "{app}"; Flags: comparetimestamp ignoreversion promptifolder 
Source: "{app}\ZipDll.dll"; DestDir: "{app}"; Flags: comparetimestamp ignoreversion promptifolder 
Source: "{app}\dzSFXus.bin"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\fcSFJ.bin"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\english.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\polski.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\czech.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\deutsch.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\hungarian.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\dutch.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\slovak.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\spanish.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\castellano-mexico.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\estonian.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\French.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\italian.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\italian_rossi.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\Ukrainian.lng"; DestDir: "{app}"; Flags: comparetimestamp promptifolder 
Source: "{app}\fC_Info.dat"; DestDir: "{app}"; Flags: overwritereadonly 

[INI]
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Czech"; String: "czech.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Deutsch"; String: "deutsch.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Dutch"; String: "dutch.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "English"; String: "english.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Estonian"; String: "estonian.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "French"; String: "French.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Hungarian"; String: "hungarian.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Italian"; String: "italian.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Italian-Rossi"; String: "italian_rossi.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Castellano-mexico"; String: "castellano-mexico.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Polski"; String: "polski.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Slovak"; String: "slovak.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Spanish"; String: "spanish.lng"; 
FileName: "{app}\freeCommander.INI"; Section: "Language"; Key: "Ukrainian"; String: "Ukrainian.lng"; 
FileName: "{app}\freeCommander.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.freeCommander.com"; 

[Run]
Filename: "{app}\freeCommander.exe"; Description: "Launch freeCommander"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\freeCommander"; Filename: "{app}\freeCommander.exe"; 
Name: "{group}\freeCommander on the Web"; Filename: "{app}\freeCommander.url"; 
Name: "{group}\Uninstall freeCommander"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\freeCommander"; Filename: "{app}\freeCommander.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\freeCommander"; Filename: "{app}\freeCommander.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[InstallDelete]
Type: files; Name: "{app}\backup\freeCommander.exe"; 

[UninstallDelete]
Type: dirifempty; Name: "{app}\freeCommander"; 
Type: files; Name: "{app}\freeCommander.url"; 
Type: files; Name: "{app}\fC_Info.dat"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "English"; MessagesFile: "embedded\English.isl"; LicenseFile: "embedded\EnglishLicense.rtf"; 
Name: "Deutsch"; MessagesFile: "embedded\Deutsch.isl"; LicenseFile: "embedded\DeutschLicense.rtf"; 
Name: "Polski"; MessagesFile: "embedded\Polski.isl"; LicenseFile: "embedded\PolskiLicense.rtf"; 
